[quassel-announce] Quassel IRC v0.12.5

Manuel Nickschas sputnick at quassel-irc.org
Tue Apr 24 23:49:20 CEST 2018


Hi all,

today we've released Quassel IRC v0.12.5. Please have a look at the release 
announcement [1] for details, and at the downloads page [2] for getting the 
sources and pre-compiled builds.

Besides more than a hundred commits worth of bugfixes as well as quality-of-
life improvements, 0.12.5 also fixes two security vulnerabilities that recently 
have been discovered by chaignc [3]. We've notified distros already using 
standard procedures, so they should provide updated packages soon. If you 
don't use distro packages for Quassel, we highly recommend to upgrade cores 
running previous versions immediately, or at the very least, to apply the 
patches [4] and [5] to your build. OSX and Windows users can grab packages for 
0.12.5 from our downloads page, as usual.

As a heads-up, I'd like to remind everyone that the soon™ upcoming feature 
release 0.13 will be the last one to still support Qt 4 and KDE 4. Afterwards, 
we will remove support for those, and also significantly upgrade our build and 
runtime requirements.

All the best,
~ Sput

[1] https://www.quassel-irc.org/node/130>
[2] https://www.quassel-irc.org/downloads>
[3] https://twitter.com/chaign_c/>
[4] https://github.com/quassel/quassel/commit/18389a7
[5] https://github.com/quassel/quassel/commit/08bace4
-- 
Manuel "Sputnick" Nickschas ("Sput" on Freenode)                  |  (o<
Member of the Quassel IRC Project - http://quassel-irc.org        |  //\
Come visit us in #quassel!                                        |  V_/_




More information about the quassel-announce mailing list